import Koa from "koa";
import logger from "koa-logger";

import config from "./config";
import corsMiddleware from "./middlewares/cors.middleware";
import errorMiddleware from "./middlewares/error.middleware";
import routes, { healthRoute } from "./routes";
import { startServerLog } from "./utils/server";

const { server } = config;
const app = new Koa();

// Middlewares
app.use(corsMiddleware());
app.use(logger());
app.use(errorMiddleware());

app.use(healthRoute.routes()).use(healthRoute.allowedMethods());
app.use(routes.routes()).use(routes.allowedMethods());

app.listen(server.port, server.host, startServerLog(server.port));
