
import Router from 'koa-router';
import { readdirSync } from 'fs';

const router = new Router<any, any>();

readdirSync(__dirname)
  .filter((file) => file.includes('.route.') && !file.startsWith('health.'))
  .forEach((file) => {
    const routesFile = require(`${__dirname}/${file}`).default;
    router.use(routesFile.routes(), routesFile.allowedMethods());
  });

export default router;
export { default as healthRoute } from './health.route';
